2 Replies Latest reply on Oct 15, 2008 9:44 AM by Indian paradesi

    Richfaces deployment problem

    Indian paradesi Newbie

      I have deployed Richfaces 3.2.x and wanted to use InplaceInput. I am facing a problem as follows when i start the server

      java.lang.NoClassDefFoundError: org/richfaces/component/UIPanelMenuGroup

      I have the following jars in my web-inf/lib
      axis2-1.2.jar
      commons-beanutils-1.7.0.jar
      commons-collections-3.2.jar
      commons-digester-1.8.jar
      commons-logging-1.0.4.jar
      core-3.2.1.GA.jar
      el-api.jar
      el-ri.jar
      el.jar
      jhighlight-1.0.jar
      jsf-api.jar
      jsf-facelets-1.1.14.jar
      jsf-impl.jar
      jstl.jar
      richfaces-api-3.2.1.GA.jar
      richfaces-impl-3.2.1.GA.jar
      richfaces-ui-3.2.1.GA.jar
      standard.jar
      xercesImpl-2.8.1.jar

      the jsf jars are of size : jsf-api.jar(356k), jsf-impl.jar (680k).

      If i replace them with another set of jsf jars with size: jsf-api.jar(312k), jsf-impl.jar (1189k), above problem vanishes. But when invoking jsp page, it shows another error as

      Unable to load tag handler class "com.sun.faces.taglib.jsf_core.ViewTag" for tag "f:view"

      I have jsf_core.tld and html_basic.tld in web-inf.

      How to solve the above problem(s)?

      If i use 3.1.x version of Richfaces the above problem doesnot happen (with any jsf jar versions) but Inplace Input doesnot work with it. Let me know if Inplace Input is not available in 3.1.x versions?

        • 1. Re: Richfaces deployment problem
          Ilya Shaikovsky Master

          1) remove core-3.2.1.GA.jar from your classpath.
          2) I could not tell you anything while we spoeaking about jsf versions with only jar sizes specifying. Keep in mind that RF 3.2 and higher supports only JSF 1.2 implementations.

          • 2. Re: Richfaces deployment problem
            Indian paradesi Newbie

            Thanx for the reply. I have removed the core-3.2.1.GA.jar and still getting the same problem from ViewTag. In my env. I have the following
            Jboss 3.2.7
            Richfaces 3.2.x
            JSF 1.2

            googling net shows that JSF 1.2 is supported well in JBoss 4.x and there is no info on how to make JSF 1.2 work in JBoss 3.2.x. Now can you tell me how to solve the problem in the scenario given above (without changing JBoss version to 4.x)